Subject: bug#54698: non-recursive GC marking [PATCH]

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Apr 2022 15:13:43 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked],
>   [email-masked],  [email-masked]
> Date: Fri, 08 Apr 2022 13:55:10 +0200
> 
> Po Lu <[email-masked]> writes:
> 
> > On GNU/Linux systems, the system does not normally report running out of
> > memory to Emacs, and can instead randomly kill processes when they run
> > out of memory.  We recommend that you turn this behavior off, so that
> > Emacs can respond correctly when it runs out of memory, by becoming the
> > super user, editing the file @code{/etc/sysctl.conf} to contain the
> > following lines, and then running the command @code{sysctl -p} as the
> > super user:
> 
> I don't think we should recommend doing this.  It has serious
> deleterious effects on the operating system, because many programs
> written for GNU/Linux depends on the current behaviour (where malloc-ing
> basically never ever fails).

We could explain the advantages and disadvantages, and let users
decide.